import { _objectSpread2 } from "../../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js";
import { miniRedux } from "@pisell/utils";
const { Provider, Context } = miniRedux({
	namespace: "state",
	state: {},
	reducers: {
		setStateFn(state, payload) {
			return _objectSpread2(_objectSpread2({}, state), payload);
		},
		setState(state, payload) {
			return _objectSpread2(_objectSpread2({}, state), payload);
		},
		setNotes(state, payload) {
			state.setGlobalState({ notes: _objectSpread2(_objectSpread2({}, state.notes), payload) });
		}
	}
});
//#endregion
export { Context, Provider };
